"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLogger = void 0;
const COLOR = {
    RESET: "\x1b[0m",
    //
    RED: "\x1b[31m",
    GREEN: "\x1b[32m",
    YELLOW: "\x1b[33m"
};
function createLogger(name) {
    if (!name.length) {
        throw Error();
    }
    return {
        error(...msgs) {
            console.log("[", name, "]:", COLOR.RED, msgs, COLOR.RESET);
        },
        warn(...msgs) {
            console.log("[", name, "]:", COLOR.YELLOW, msgs, COLOR.RESET);
        },
        info(...msgs) {
            console.log("[", name, "]:", COLOR.GREEN, msgs, COLOR.RESET);
        }
    };
}
exports.createLogger = createLogger;
//# sourceMappingURL=logger.js.map